import { defineConfig } from 'vite';
import preact from '@preact/preset-vite';
import { viteThesaurusRegexPlugin } from './src/build-scripts/viteThesaurusRegexPlugin';

// https://vitejs.dev/config/
export default defineConfig({
    base: './',
    assetsInclude: ['**/*.ooo-thesaurus'],
    plugins: [
        viteThesaurusRegexPlugin({
            sourceUrl: new URL('src/', import.meta.url),
            thesaurusPath: 'assets/th-en-x-basic.ooo-thesaurus',
        }),
        preact(),
    ],
});
